io.undertow.server.handlers.builder

## Class HandlerParser

- java.lang.Object
- - io.undertow.server.handlers.builder.HandlerParser

    public class HandlerParser
    extends Object

Parser that can build a handler from a string representation. The underlying syntax is quite simple, and example is shown below:

`rewrite[value="/path"]` If a handler is only being passed a single parameter then the parameter name can be omitted. Strings can be enclosed in optional double or single quotations marks, and quotation marks can be escaped using `\"`.

Array types are represented via a comma separated list of values enclosed in curly braces.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`HandlerParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static HandlerWrapper` `parse(String string, ClassLoader classLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HandlerParser

    public HandlerParser()

### Method Detail

#### parse

    public static HandlerWrapper parse(String string,
                                       ClassLoader classLoader)